Subject: [sup-talk] Fwd: Re: Cannot view old messages

From: Ruthard Baudach <[email-masked]>
Date: Mon, 04 Apr 2011 16:34:41 +0200

--- Begin forwarded message from Ruthard Baudach ---
From: Ruthard Baudach <[email-masked]>
To: sup-talk <[email-masked]>
Date: Mon, 04 Apr 2011 16:26:03 +0200
Subject: Re: [sup-talk] Cannot view old messages

> === Tero Tilus schrieb am 2011-04-03 09:48: === <
> Ruthard Baudach, 2011-04-01 14:14:
> > I cannot view old messages in my mbox.
> 
> Have you at some point been able to see them? 

Yes I have.

> Could it be that the
> mbox file has since be modified?

Yes if has
>  Then the offsets (thats afaik how
> sup points to messages in mbox sources) stored in sup index for those
> messages might be all wrong and sup can't find the raw message
> anymore.

Good idea - but should not be the problem.

What I did was to
    1) exported my Opera mail.
    2) run sup-sync /path/to/mbox

et voilà there was a running sup

weeks later I found out that I could not search mail that was several
years old but was not able to read the body of it.

Later on I moved my sup installation to another box by installing sup
there, copying the mbox file, and running sup-index on the new box.

I had to delete xapian and repeat this once or twice till everything
worked, and yes, I viewed the mbox once with mutt, and had to re-sync
and relabel afterwards.

Several weeks later I searched for an email from Okt/2010 - when I
already used, yet on my old machine - and could not read the body.

Does anyone else have the same problem?

I can live with that at the moment, but it would be not nice, if it were
a real sup "feature".

Ruthard 
--- End forwarded message ---
_______________________________________________
sup-talk mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-talk